Subject: [dane] Encoding local parts in better ways

From: "John Levine" <[email-masked]>
Date: 21 Sep 2015 03:54:48 -0000

I've sent in a new version of draft-levine-dns-mailbox-01 that
describes a bunch of ways to encode mail address local parts in ways
that don't need canonicalization or address guessing.

Take a particular look at section 5, which publishes regular
expressions to match a domain's mail addresses.

* Can represent any plausible local part syntax including case
folding, noise characters, multiple ways to write Unicode characters,
suffixes where some are ignored and some aren't, BATV, and VERP.

* Reasonably fast lookup (max of one query per localpart character)

* Works fine with static zones served by ordinary name servers .

* Doesn't make bulk addresss harvesting easy.

If you really want to do experiments in publishing mail info in the
DNS, I think this would be a rather interesting one.

R's,
John